Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::ref_fn Struct Reference
Functional

## Public Member Functions
template<typename T >
reference_wrapper< T > | operator() (reference_wrapper< T > t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
reference_wrapper< T > | operator() (std::reference_wrapper< T > t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
reference_wrapper< T > | operator() (T &t) const

## Member Function Documentation

## ◆ operator()()

template<typename T >

reference_wrapper<T> ranges::ref_fn::operator() | ( | T & | t | ) | const

Precondition
  requires `(!is_reference_wrapper_v<T>)` //